package com.jiayue.insu.incloud.job.data.pull;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.jiayue.insu.incloud.entity.Station;
import com.jiayue.insu.incloud.pulldata.PullInitData;
import com.jiayue.insu.incloud.service.StationService;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;

public class PullInitDataJob implements Job {

    @Autowired
    private PullInitData pullInitData;

    @Autowired
     private StationService stationService;
    @Override
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        String stationCode  = jobExecutionContext.getTrigger().getJobKey().getName();
        LambdaQueryWrapper<Station> lambdaQueryWrapper = new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(Station::getStationCode,stationCode);
        Station one = stationService.getOne(lambdaQueryWrapper);
        if (one != null) {
            pullInitData.pullDQAndNWPData(one);
        }


    }
}
