package com.jiayue.insu.incloud.constants.enums;

public enum QNHLEnum {

    REQUEST_SUCCESS("T200","REQUEST_SUCCESS","请求成功"),
    PERMISSON_TOKEN_EXPIRE("I101","TOKEN_EXPIRE","token已过期"),
    PERMISSON_TOKEN_INVALID("I102","TOKEN_INVALID","无效token"),
    PERMISSON_AUTOGRAPH_FAIL("I103","AUTOGRAPH_FAIL","签名失败"),
    PERMISSON_LOGIN_NOT("I104","LOGIN_NOT","用户未登录"),

            ;

    private String code;
    private String sign;
    private String msg;

    QNHLEnum(String code, String sign, String msg) {
        this.code = code;
        this.sign = sign;
        this.msg  =msg;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }


    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }


    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
